require 'spec_helper'

RSpec.describe Frozen::Site::LocalSite do
  let(:site) { Frozen::Site::LocalSite.new("dummy") }
  describe "#stylesheet_file_paths" do
    it "should return list of files in path" do
      file_array = ["test/1.ext", "test/2.ext"]
      expect(Dir).to receive(:glob) {file_array}
      expect(site.stylesheet_file_paths).to eq(file_array)
    end
  end

end
